javax.xml.bind.annotation.adapters

## Class HexBinaryAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<String,byte[]>
  - - javax.xml.bind.annotation.adapters.HexBinaryAdapter

    public final class HexBinaryAdapter
    extends XmlAdapter<String,byte[]>

`XmlAdapter` for `xs:hexBinary`.

This `XmlAdapter` binds `byte[]` to the hexBinary representation in XML.

Since:
  JAXB 2.0
Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`HexBinaryAdapter()`

### Method Summary

Methods
`String` `marshal(byte[] bytes)` Convert a bound type to a value type.
`byte[]` `unmarshal(String s)` Convert a value type to a bound type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HexBinaryAdapter

    public HexBinaryAdapter()

### Method Detail

#### unmarshal

    public byte[] unmarshal(String s)

Description copied from class: `XmlAdapter`
Convert a value type to a bound type.

Specified by:
  `unmarshal` in class `XmlAdapter<String,byte[]>`
Parameters:
  `s` - The value to be converted. Can be null.

#### marshal

    public String marshal(byte[] bytes)

Description copied from class: `XmlAdapter`
Convert a bound type to a value type.

Specified by:
  `marshal` in class `XmlAdapter<String,byte[]>`
Parameters:
  `bytes` - The value to be convereted. Can be null.

Copyright © 2004-2011 Oracle